Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122227

Summary: Review Request: nodejs-netmask - Parse and lookup IP network blocks
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 19:07:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122229    

Description Ralph Bean 2014-07-22 19:05:07 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-netmask.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-netmask-1.0.4-1.fc20.src.rpm

Description:
The Netmask class parses and understands IPv4 CIDR blocks so they can be
explored and compared. This module is highly inspired by Perl Net::Netmask
module.

Comment 1 Parag AN(पराग) 2014-07-23 09:33:52 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-netmask.noarch: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
nodejs-netmask.noarch: W: only-non-binary-in-usr-lib
nodejs-netmask.src: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :431c076cc50451e6062bb06a0920be6e8a87995e07482b98b0553c586d53939a
upstream tarball :431c076cc50451e6062bb06a0920be6e8a87995e07482b98b0553c586d53939a

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 13:52:09 UTC
New Package SCM Request
=======================
Package Name: nodejs-netmask
Short Description: Parse and lookup IP network blocks
Upstream URL: https://npmjs.org/package/netmask
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:42:32 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 19:05:54 UTC
nodejs-netmask-1.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-netmask-1.0.4-1.fc20

Comment 5 Fedora Update System 2014-07-23 19:06:03 UTC
nodejs-netmask-1.0.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-netmask-1.0.4-1.fc19

Comment 6 Ralph Bean 2014-07-23 19:07:33 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:39:56 UTC
nodejs-netmask-1.0.4-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:48:15 UTC
nodejs-netmask-1.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.